Package org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.clientserver

# Class CircuitBreakerClientRollingWindow

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.clientserver.CircuitBreakerClientRollingWindow

All Implemented Interfaces:
  `Serializable`

@RequestScoped public class CircuitBreakerClientRollingWindow extends Object implements Serializable
A client to exercise Circuit Breaker thresholds, with a SuccessThreshold of 2, a requestVolumeThreshold of 4, failureRatio of 0.5 and a 1 millisecond delay

Author:
  Emily Jiang
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CircuitBreakerClientRollingWindow()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCounterForInvokingService1()`
`int`
`getCounterForInvokingService2()`
`Connection`
`service1RollingWindowOpenAfter4()`
`Connection`
`service2RollingWindowOpenAfter5()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CircuitBreakerClientRollingWindow

public CircuitBreakerClientRollingWindow()

## Method Details

### getCounterForInvokingService1

public int getCounterForInvokingService1()

### getCounterForInvokingService2

public int getCounterForInvokingService2()

### service1RollingWindowOpenAfter4

@CircuitBreaker(successThreshold=2, requestVolumeThreshold=4, failureRatio=0.5) public Connection service1RollingWindowOpenAfter4()

### service2RollingWindowOpenAfter5

@CircuitBreaker(successThreshold=2, requestVolumeThreshold=4, failureRatio=0.5) public Connection service2RollingWindowOpenAfter5()